data pva;
infile 'allbase.dat' missover;
input yr c1 c2 c3 c4 c5 p tot gen;
proc sort; by yr; run;
proc means noprint; by yr; var c1 c2 c3 c4 c5 p tot gen;
output out = a mean = mc1 mc2 mc3 mc4 mc5 mp mtot mgen
stderr = sc1 sc2 sc3 sc4 sc5 sp stot sgen; run;
data new; set a;
lctot = mtot - (stot * 1.96);
uctot = mtot + (stot * 1.96);
proc print; var mtot lctot uctot; run;
